Gets the catalog node.
1 min
GET
/episerverapi/commerce/nodes/{nodeCode}
Path Parameters
- nodeCodestringrequired
Query Parameters
- nodeCodestringDescription
Header Parameters
- acceptstringDescriptionDefaulttext/plainAllowedtext/plainapplication/jsontext/json
Responses
200
- NodeDescription
- codestringDescription
- parentNodeCodestringDescription
- namestringDescription
- startDatestring<date-time>DescriptionFormatdate-time
- endDatestring<date-time>DescriptionFormatdate-time
- metaClassstringDescription
- catalogstringDescription
- sortOrderinteger<int32>DescriptionFormatint32
- parentNodeResourceLinkDescription
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- assetsResourceLink[]Description
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- childrenResourceLink[]Description
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- entriesResourceLink[]Description
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- isActivebooleanDescription
- metaFieldsMetaFieldProperty[]Description
- namestringDescription
- typestringDescription
- dataMetaFieldData[]Description
- languagestringDescription
- valuestringDescription
- seoInformationSeoInfo[]Description
- titlestringDescription
- uristringDescription
- uriSegmentstringDescription
- descriptionstringDescription
- keywordsstringDescription
- languageCodestringDescription
- publishStatusesPublishStatus[]Description
- languagestringDescription
- isPublishedbooleanDescription
- startPublishstring<date-time>DescriptionFormatdate-time
- stopPublishstring<date-time>DescriptionFormatdate-time
401
404
curl
curl --request GET \
--url /episerverapi/commerce/nodes/{nodeCode} \
--header 'accept: text/plain'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "text/plain");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/episerverapi/commerce/nodes/{nodeCode}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/episerverapi/commerce/nodes/{nodeCode}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["accept"] = "text/plain"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/episerverapi/commerce/nodes/{nodeCode}"
payload = {}
headers = {
'accept': 'text/plain',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Return the catalog node.
{
"code": "",
"parentNodeCode": "",
"name": "",
"startDate": "",
"endDate": "",
"metaClass": "",
"catalog": "",
"sortOrder": "",
"parentNode": {
"title": "",
"type": "",
"href": "",
"properties": [
{
"name": "",
"value": ""
}
]
},
"assets": [
{
"title": "",
"type": "",
"href": "",
"properties": [
{
"name": "",
"value": ""
}
]
}
],
"children": [
{
"title": "",
"type": "",
"href": "",
"properties": [
{
"name": "",
"value": ""
}
]
}
],
"entries": [
{
"title": "",
"type": "",
"href": "",
"properties": [
{
"name": "",
"value": ""
}
]
}
],
"isActive": false,
"metaFields": [
{
"name": "",
"type": "",
"data": [
{
"language": "",
"value": ""
}
]
}
],
"seoInformation": [
{
"title": "",
"uri": "",
"uriSegment": "",
"description": "",
"keywords": "",
"languageCode": ""
}
],
"publishStatuses": [
{
"language": "",
"isPublished": false,
"startPublish": "",
"stopPublish": ""
}
]
}401
// If user does not have enough permission for this request.
404
// If node does not exist.